# Class CodonChangeInv

java.lang.Object
org.snpeff.interval.codonChange.CodonChange
org.snpeff.interval.codonChange.CodonChangeInv

public class CodonChangeInv extends CodonChange
Calculate codon changes produced by an inversion

Author:
  pcingola

## Field Summary

### Fields inherited from class CodonChange

`CODON_SIZE, showCodonChange`

## Constructor Summary

Constructors
Constructor
Description
`CodonChangeInv(Variant variant, Transcript transcript, VariantEffects variantEffects)`

## Method Summary

Modifier and Type
Method
Description
`void`
`codonChange()`
Calculate a list of codon changes

### Methods inherited from class CodonChange

`additionalEffect, cdsBaseNumber, codonChange, codonsAlt, codonsRef, codonsRef, effect, effectNoCodon, effectNoCodon, factory, intersectsExons, netCdsChange, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CodonChangeInv

public CodonChangeInv(Variant variant, Transcript transcript, VariantEffects variantEffects)

## Method Details

### codonChange

public void codonChange()
Description copied from class: `CodonChange`
Calculate a list of codon changes

Overrides:
  `codonChange` in class `CodonChange`